#include <Elementary.h>

static void on_quit(void *data, Evas_Object *obj, void *event_info) {
	elm_exit();
}

EAPI int elm_main(int argc, char *argv[]) {
	Evas_Object *win, *bg, *box, *lbl;

	/* Create our window */
	win = elm_win_add(NULL, "eflexample", ELM_WIN_BASIC);
	elm_win_title_set(win, "Tizen EFL Example");
	evas_object_smart_callback_add(win, "delete,request", on_quit, NULL);

	/* Give it a background */
	bg = elm_bg_add(win);
	evas_object_size_hint_weight_set(bg, 0.0, 0.0);
	elm_win_resize_object_add(win, bg);
	evas_object_show(bg);

	/* Create a box to place our label inside */
	box = elm_box_add(win);
	elm_box_horizontal_set(box, EINA_FALSE);
	evas_object_size_hint_weight_set(box, EVAS_HINT_EXPAND, 0.0);
	evas_object_size_hint_align_set(box, EVAS_HINT_FILL, 0.0);
	elm_win_resize_object_add(win, box);
	evas_object_show(box);

	/* Make a label */
	lbl = elm_label_add(win);
	evas_object_size_hint_weight_set(lbl, EVAS_HINT_EXPAND, EVAS_HINT_EXPAND);
	elm_object_part_text_set(lbl, NULL, "Hello Tizen!");
	elm_box_pack_end(box, lbl);
	evas_object_show(lbl);

	/* Display the window */
	evas_object_show(win);

	/* Start the Elementary main loop */
	elm_run();

	return 0;
}

ELM_MAIN();
